Skip to content

cascadeItemTrackingType

WRITE

Cascades a change to item.itemTrackingType onto the snapshot columns `requiresSerialTracking` and `requiresBatchTracking` on child rows that belong to OPEN par….

POST /api/v1/items/cascadeItemTrackingType
curl -X POST '<your-host>/api/v1/items/cascadeItemTrackingType' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemIds": [],
    "newType": "Inventory"
  }'

Parameters

ParameterType
"Inventory""Non-Inventory""Serial""Batch"

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "newType": {
      "type": "string",
      "enum": [
        "Inventory",
        "Non-Inventory",
        "Serial",
        "Batch"
      ]
    }
  },
  "required": [
    "itemIds",
    "newType"
  ]
}